# API Reference

Using Flowise public API, you can programmatically execute many of the same tasks as you can in the GUI. This section introduces Flowise REST API.

* [Assistants](https://docs.flowiseai.com/api-reference/assistants)
* [Attachments](https://docs.flowiseai.com/api-reference/attachments)
* [Chat Message](https://docs.flowiseai.com/api-reference/chat-message)
* [Chatflows](https://docs.flowiseai.com/api-reference/chatflows)
* [Document Store](https://docs.flowiseai.com/api-reference/document-store)
* [Feedback](https://docs.flowiseai.com/api-reference/feedback)
* [Leads](https://docs.flowiseai.com/api-reference/leads)
* [Ping](https://docs.flowiseai.com/api-reference/ping)
* [Prediction](https://docs.flowiseai.com/api-reference/prediction)
* [Tools](https://docs.flowiseai.com/api-reference/tools)
* [Upsert History](https://docs.flowiseai.com/api-reference/upsert-history)
* [Variables](https://docs.flowiseai.com/api-reference/variables)
* [Vector Upsert](https://docs.flowiseai.com/api-reference/vector-upsert)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.flowiseai.com/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
